QXmpp: QXmppInvokable Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppInvokable Class Referenceabstract

`#include <QXmppInvokable.h>`

## Public Member Functions
| QXmppInvokable (QObject *parent=nullptr)
| Constructs a QXmppInvokable with the specified parent.
QVariant | dispatch (const QByteArray &method, const QList< QVariant > &args=QList< QVariant >())
virtual bool | isAuthorized (const QString &jid) const =0
Q_SLOT QStringList | interfaces () const

## Static Public Member Functions
static QList< QByteArray > | paramTypes (const QList< QVariant > &params)

## Detailed Description

This is the base class for all objects that will be invokable via RPC. All public slots of objects derived from this class will be exposed to the RPC interface. As a note for all methods, they can only understand types that QVariant knows about.

        @author Ian Reinhart Geiser <geiseri@kde.org>

## Member Function Documentation

## ◆ dispatch()

QVariant QXmppInvokable::dispatch | ( | const QByteArray & | method,
|  | const QList< QVariant > & | args = QList<QVariant>() )

Execute a method on an object. with a set of arguments. This method is reentrant, and the method that is invoked will be done in a thread safe manner. It should be noted that while this method is threadsafe and reentrant the side affects of the methods invoked may not be.

## ◆ interfaces()

QStringList QXmppInvokable::interfaces | ( |  | ) | const

This provides a list of interfaces for introspection of the presented interface.

## ◆ isAuthorized()

virtual bool QXmppInvokable::isAuthorized | ( | const QString & | jid | ) | const
| pure virtual

Reimplement this method to return a true if the invoking JID is allowed to execute the method.

## ◆ paramTypes()

QList< QByteArray > QXmppInvokable::paramTypes | ( | const QList< QVariant > & | params | ) |
| static

Utility method to convert a QList<QVariant> to a list of types for type checking.

The documentation for this class was generated from the following files:

- QXmppInvokable.h
- QXmppInvokable.cpp